function Sup03000Service(restEngine) {

    this.retornaPrazoPagamento = function (cdfilial, nrcolepreco, cdproduto, cdmarca, cdregiao, cdfornecedor) {
        return restEngine.post('cmp_fornecimento_listaPreco#/sup03000pagamento', {
            "requestType": "FilterData",
            "filter": [
                {"name": "P_CDFILIAL",      "value": cdfilial,      "operator": "="},
                {"name": "P_NRCOLEPRECO",   "value": nrcolepreco,   "operator": "="},
                {"name": "P_CDPRODUTO",     "value": cdproduto,     "operator": "="},
                {"name": "P_CDMARCA",       "value": cdmarca,       "operator": "="},
                {"name": "P_CDREGIAO",      "value": cdregiao,      "operator": "="},
                {"name": "P_CDFORNECED",    "value": cdfornecedor,  "operator": "="},
            ]
        });
    };

    this.retornaAjuste = function (cdfilial, nrorg) {
        return restEngine.post('cmp_fornecimento_listaPreco#/sup03000Ajuste', {
            "requestType": "FilterData",
            "filter": [
                {"name": "CDFILIAL",      "value": cdfilial,      "operator": "="},
                {"name": "NRORG",    "value": nrorg,  "operator": "="},
            ]
        });
    };

    this.retornaFilial = function () {
        return restEngine.post('cmp#/crud/filial', {
            "requestType": "FilterData",
            "filter": [
                {"name": "CDFILIAL",      "value": "FILIAL_LOGADA",      "operator": "="}
            ]
        });
    };

}

Configuration(function(ContextRegister) {
    ContextRegister.register('Sup03000Service', Sup03000Service);
});